This is AdBlock's old support site. It is available for archival purposes only. To create a new discussion, or to visit the up-to-date knowledge base, please visit help.getadblock.com

any way to go back to previous version?

nick thiele's Avatar

nick thiele

13 Oct, 2014 12:46 AM

Is there any way to backdate my adblock to a previous version? Every time I try to download an older version of adblock it somehow autoupdates itself, even when I have disabled auto updates.

  1. Support Staff 1 Posted by Neelfyn on 13 Oct, 2014 02:24 PM

    Neelfyn's Avatar

    Hi Nick,

    Is there a specific reason for which you need an older version of AdBlock? We recommend using the latest version, since it includes all the latest fixes and performance improvements.

  2. 2 Posted by nick thiele on 14 Oct, 2014 03:27 AM

    nick thiele's Avatar

    I've just been having some problems ever since I updated to the new version and I thought it might be simpler for me to revert back to the previous version (I believe it was the version before the redesign) on my end instead of trying to troubleshoot every single problem I'm currently having.

  3. Support Staff 3 Posted by Neelfyn on 14 Oct, 2014 08:38 PM

    Neelfyn's Avatar

    While we don't recommend doing so, you can install an older version of AdBlock by downloading its source code directly from code.getadblock.com (requires a Safari developer certificate).

    Would you mind describing the issues you are experiencing?

  4. 4 Posted by nick thiele on 16 Oct, 2014 03:26 AM

    nick thiele's Avatar

    Thanks this answers my question very well. As for the problems it's just been general stuff like: a few banner and video ads not being blocked on the page while others are, youtube pages loading multiple times, sometimes adblock not working until I reload the page, some CSS elements of certain pages not displaying properly.

  5. Support Staff 5 Posted by Neelfyn on 21 Oct, 2014 04:15 PM

    Neelfyn's Avatar

    Hi Nick,

    The issues you are experiencing are probably caused by the old version of Safari that you are running. We recommend updating to Safari 7.1 (or 8.0 on OS X 10.10) to get all the security and bug fixes.

  6. 6 Posted by Bob on 05 Mar, 2015 03:14 AM

    Bob's Avatar

    With either my computer or iPhone, when I go your site to download, I'm told my versions are not supported ...

    What version of Safari Adblock for Safari version 4.0.2?
    and iPhone version 6.1.3 (10B329)

    Thanks!
    Bob

  7. Support Staff 7 Posted by Neelfyn on 05 Mar, 2015 06:33 PM

    Neelfyn's Avatar

    Hi Bob,

    AdBlock is only compatible with Safari 5.0.6 or above. We however recommend using Safari 7 or 8 as some features might not be available on older versions. If you are using Mac OS X 10.5 or newer, you should be able to update to at least Safari 5.0.6.

    As for the iPhone, AdBlock is unfortunately not compatible with iOS, as it does not support browser extensions.

  8. 8 Posted by Mary on 06 Mar, 2015 01:38 AM

    Mary's Avatar

    This comment was split into a new discussion: Slow email

    Ever since I updated my Mac OS X … Ad Block is slowing down my email. I can't delete emails by checking them off and deleting … takes forever. so now doing individually. And I can't file my emails … Help?

  9. Neelfyn closed this discussion on 10 Mar, 2015 07:14 PM.

Discussions are closed to public comments.
If you need help with AdBlock please start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac